<?php
namespace app\admin\model;

class Cat extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'int',//
        'cat_name'       =>'varchar',//分类名称
        'pid'       =>'int',//父级id
        'level'       =>'int',//级别
        'rate'       =>'varchar',//主管利率
        'order_rate'       =>'varchar',//预算成本
        'money_rate'       =>'varchar',//财务利率
        'low_rate'       =>'varchar',//最低利率
        'sale_rate'       =>'varchar',//成本售价(标准)
        'lower_rate'       =>'varchar',//BOSS利率
        'creater'       =>'varchar',//创建人
        'createrid'       =>'bigint',//创建人id
        'cat_desc'       =>'text',//分类描述（售后）
        'fund_code'       =>'varchar',//财务核算码
        'weight'       =>'int',//权重排序
        'search'       =>'varchar',//搜索关键字
        'status'       =>'int',//使用状态
        'is_del'       =>'tinyint',//
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//

    ];
}