<?php
namespace app\bug\model;

use think\model\concern\SoftDelete;class WorkSubscr extends Base
{
//设置字段信息
	use SoftDelete;
    protected $schema = [
        'id'  =>'int',//
        'belong'  =>'tinyint',//系统归属
        'role_id'  =>'int',//角色id
        'action'  =>'text',//选中的岗位功能
        'apply_id'  =>'int',//申请人id
        'apply_name'  =>'varchar',//申请人名称
        'check_id'  =>'int',//审核人
        'check_name'  =>'varchar',//审核人
        'status'  =>'tinyint',//状态
        'createTime'  =>'datetime',//
        'updateTime'  =>'datetime',//
        'delete_time'  =>'datetime',//
       ];
    protected $updateTime='updateTime';
    protected $createTime='createTime';
    protected $deleteTime = 'delete_time';
    public static $statusCn=['无状态',"待审批","部分通过", "全部通过" ,"全部驳回","废弃"];
    public function RoleInfo(){
    	return $this->belongsTo(WorkRole::class,"role_id","id")->bind(["role_name","work_id","work_name","companyNo",'companyName']);
    }
    public function subInfo(){
    	return $this->hasMany(WorkSubinfo::class,'sub_id','id');
    }
}