<?php
namespace app\cxinv\model;

class Assoc extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'assocNo'  =>'varchar',//关联编号
        'apply_id'  =>'int',//操作人id
        'apply_name'  =>'varchar',//操作人名称
        'type'  =>'tinyint',//操作类型 1 单票 2 单款
        'orderCode'  =>'varchar',//销售订单编号
        'customerNo'  =>'varchar',//客户编号
        'viceCode'  =>'varchar',//发票编号/回款编号
        'order_total'  =>'decimal',//订单总金额
        'vice_total'  =>'decimal',//发票面额/回款金额
        'cancel_fee'  =>'decimal',//核销金额
        'status'  =>'tinyint',//核销状态 1 审核中 2 核算完成3 退款退票
        'is_del'  =>'tinyint',//是否删除
        'exam_remark'  =>'varchar',//审核备注
        'assoc_time'  =>'varchar',//开票时间/回款时间
        'updatetime'  =>'datetime',//
        'addtime'  =>'datetime',//
       ];
}